<template>
  <section >
    <br>
      <DeploymentsList  v-bind:deployments="deployments" >
        </DeploymentsList>
        <div class="overflow-auto" >
        <b-pagination
              v-model="pagination.currentPage"
              :total-rows="pagination.totalCount"
              :per-page="pagination.pageSize"
              first-text="First"
              prev-text="Prev"
              next-text="Next"
              last-text="Last"
              align="center"
              active-item-bacground-color=""
              @input="getDeployments"
              page-class="Button-type"
              >
            </b-pagination>
            </div>
            <div class="float-right" @mouseover="PlusmouseOver"  @mouseleave="PlusmouseOut" >
              <router-link :to="{name: 'deploymentAdd'}">
                 <img v-if="HoverPlus"
                width="70%" src= "../../assets/PlusButtonAtHover.png" >
                <img v-if="OutOfPlus"
                width="70%" src= "../../assets/PlusButton.png" >
                  </router-link>
            </div>
  </section>
</template>

<script>
import DeploymentsList from './DeploymentsList'

export default {
  name: 'deploymentsView',
  data () {
    return {
      deployments: [],
      pagination: {
        currentPage: 1,
        totalCount: 0,
        pageSize: 6
      },
      HoverPlus: false,
      OutOfPlus: true
    }
  },
  components: {
    DeploymentsList
  },
  created () {
    this.getDeployments()
  },
  computed: {
    showPagination: function () {
      return this.pagination.totalCount > this.pagination.pageSize
    }
  },
  methods: {

    initDeployments: function () {
      this.deployments = []
    },
    getDeployments: function () {
      let params = this.pagination.currentPage
      this.$store.dispatch('getDeploymentList', params)
        .then(response => {
          this.pagination.totalCount = response.data.count
          this.initDeployments()
          this.deployments = response.data.results
        })
        .catch(response => {
        })
    },
    PlusmouseOver () {
      this.HoverPlus = true
      this.OutOfPlus = false
    },
    PlusmouseOut () {
      this.HoverPlus = false
      this.OutOfPlus = true
    }
  }
}

</script>
<style scoped>
</style>

<style >
 .page-item.active .page-link {
    background-color: #22b574  !important;
    border-color:#22b574  !important;
    color: lightgray !important ;
    box-shadow : 0px !important;
    z-index: -3 !important;
}
.page-link:focus {
 box-shadow: none !important;
    border-color: transparent !important;
}
.page-item .page-link {
   color: #22b574  !important;
   border-width : 0px
}
.page-item.disabled .page-link {
   color: gray !important;
   border-width : 0px
}

</style>
